Gliffy Confluence Plugin 1.4.1

Release Date: August 07, 2008

 

We’ve just released a minor update to the Gliffy Plugin for Confluence today which includes several bug fixes, a small feature, and Confluence 2.9 compatibility. We recommend this update for users of Confluence versions 2.6 and better.Download the update here.

Highlights of this release:

Confluence 2.9 Compatibility

Atlassian has made significant improvements to the plugin architecture of Confluence in the upcoming 2.9 release. Our plugin needed some modifications to ensure compatibility, which we’ve implemented in this release.

Option to turn border off

We’ve added a small new feature in this release which will enable you to turn off the border in a Gliffy diagram in a Confluence page. Simply add ‘border=false’ to your {gliffy} macro, and the border will be turned off.

Detailed Release Notes

  • [GLIFFY-15] – The label for the "login" button is moving towards left, when it is clicked more than once.
  • [GLIFFY-662] – Breadcrumbs on view large diagram action are broken
  • [GLIFFY-680] – showgliffyeditor.action should fail gracefully when user doesn’t have permissions
  • [GLIFFY-685] – ‘Remove Diagram’ link should not show if user doesn’t have Remove Attachments permission
  • [GLIFFY-705] – GPFC Document Manager shouldn’t have a ‘public’ column
  • [GLIFFY-706] – Add Diagram links don’t show up for the non default themes with for Gliffy 1.4, Confluence 2.8
  • [GLIFFY-709] – Remove link should be shown when user has permission to edit page
  • [GLIFFY-711] – Improve null checks in confluence extractor
  • [GLIFFY-748] – Group Function Not Working
  • [GLIFFY-789] – Reference to nonexistent action in LargeDiagram.vm
  • [GLIFFY-798] – Clicking on diagram image results in page not found
  • [GLIFFY-801] – In some cases, symbols fail to load in editor
  • [GLIFFY-638] – Remove the ‘requires restart’ checks from the confluence macro and actions
  • [GLIFFY-660] – Remove pre 2.6 elements from atlassian-plugin.xml
  • [GLIFFY-661] – Confluence 2.9 compatibility
  • [GLIFFY-461] – Edit/Remove Border to Gliffy Diagram in Page
  • [GLIFFY-695] – Setup bamboo for 1.4.1 branch
  • [GLIFFY-751] – Remove Struts from Plugin